<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Game (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Game (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main.game</div>
<h2 title="Class Game" class="title">Class Game</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.game.Game</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Game</span>
extends java.lang.Object</pre>
<div class="block">Class <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> doing management of players and output.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.5 July 03rd 2017</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Niklas Mueller</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#bluePlayer">bluePlayer</a></span></code>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> BLUE.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#board">board</a></span></code>
<div class="block"><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to play with.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#debug">debug</a></span></code>
<div class="block"><a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> object that is used to print out debug information from all parts of the program in main game loop.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#debugOutput">debugOutput</a></span></code>
<div class="block">TextIO <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> used to send game state to debug output if debug is wished and the <a href="../../../towerwarspp/main/game/Game.html#view"><code>view</code></a> is instanceof
 <a href="../../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#delayTime">delayTime</a></span></code>
<div class="block">integer delayTime, time to wait after every turn.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#hasView">hasView</a></span></code>
<div class="block">boolean hasView showing if <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object is given.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#redPlayer">redPlayer</a></span></code>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#saveGame">saveGame</a></span></code>
<div class="block">Save Object, which saves all moves and exports them to a savefile.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#view">view</a></span></code>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object to visualize the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> and <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-int-towerwarspp.io.View-int-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    int&nbsp;boardSize,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    int&nbsp;delayTime)</code>
<div class="block">Constructor setting <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>, <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> and integer variables.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-towerwarspp.io.View-boolean-int-towerwarspp.main.game.Save-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    boolean&nbsp;debug,
    int&nbsp;delayTime,
    <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;saveGame)</code>
<div class="block">Constructor for loading games from an .aot-Save-File.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#checkSave--">checkSave</a></span>()</code>
<div class="block">Checks if save is true in view.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#getSaveGame--">getSaveGame</a></span>()</code>
<div class="block">returns the save-Game</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#play-int-towerwarspp.preset.PlayerColor-">play</a></span>(int&nbsp;timeOut,
    <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn)</code>
<div class="block">Method play to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>, means requesting <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, updating the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>
 and visualizing the whole game.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#replay-towerwarspp.main.game.Save-">replay</a></span>(<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;save)</code>
<div class="block">This Method uses the <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game"><code>Save</code></a> to replay a game</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#turn--">turn</a></span>()</code>
<div class="block">Returns the the playercolor of the player, who has to play now.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#winnerMoves-int-">winnerMoves</a></span>(int&nbsp;combinedMoveCounter)</code>
<div class="block">Method winnerMoves to calculate number of moves of the winner.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="redPlayer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redPlayer</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> redPlayer</pre>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED.</div>
</li>
</ul>
<a name="bluePlayer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bluePlayer</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> bluePlayer</pre>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> BLUE.</div>
</li>
</ul>
<a name="board">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>board</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board">Board</a> board</pre>
<div class="block"><a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> to play with.</div>
</li>
</ul>
<a name="view">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>view</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a> view</pre>
<div class="block"><a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object to visualize the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> and <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>.</div>
</li>
</ul>
<a name="debugOutput">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debugOutput</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/io/TextIO.html" title="class in towerwarspp.io">TextIO</a> debugOutput</pre>
<div class="block">TextIO <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> used to send game state to debug output if debug is wished and the <a href="../../../towerwarspp/main/game/Game.html#view"><code>view</code></a> is instanceof
 <a href="../../../towerwarspp/io/GraphicIO.html" title="class in towerwarspp.io"><code>GraphicIO</code></a>.</div>
</li>
</ul>
<a name="hasView">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasView</h4>
<pre>private&nbsp;boolean hasView</pre>
<div class="block">boolean hasView showing if <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object is given.</div>
</li>
</ul>
<a name="delayTime">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>delayTime</h4>
<pre>private&nbsp;int delayTime</pre>
<div class="block">integer delayTime, time to wait after every turn.</div>
</li>
</ul>
<a name="debug">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debug</pre>
<div class="block"><a href="../../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug"><code>Debug</code></a> object that is used to print out debug information from all parts of the program in main game loop.</div>
</li>
</ul>
<a name="saveGame">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveGame</h4>
<pre>private&nbsp;<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a> saveGame</pre>
<div class="block">Save Object, which saves all moves and exports them to a savefile.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Game-towerwarspp.preset.Player-towerwarspp.preset.Player-int-towerwarspp.io.View-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
            <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
            int&nbsp;boardSize,
            <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
            int&nbsp;delayTime)
     throws java.lang.Exception</pre>
<div class="block">Constructor setting <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>, <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> and integer variables.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>redPlayer</code> - <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED</dd>
<dd><code>bluePlayer</code> - <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> BLUE</dd>
<dd><code>boardSize</code> - integer size of <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a></dd>
<dd><code>view</code> - <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object providing possibility for visualization</dd>
<dd><code>delayTime</code> - time to wait after every turn (in millisecond)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a name="Game-towerwarspp.preset.Player-towerwarspp.preset.Player-towerwarspp.io.View-boolean-int-towerwarspp.main.game.Save-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Game</h4>
<pre>public&nbsp;Game(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
            <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
            <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
            boolean&nbsp;debug,
            int&nbsp;delayTime,
            <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;saveGame)
     throws java.lang.Exception</pre>
<div class="block">Constructor for loading games from an .aot-Save-File.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>redPlayer</code> - <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED</dd>
<dd><code>bluePlayer</code> - <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> BLUE</dd>
<dd><code>view</code> - <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object providing possibility for visualization</dd>
<dd><code>debug</code> - integer debug activating debug mode if true</dd>
<dd><code>delayTime</code> - time to wait after every turn (in millisecond)</dd>
<dd><code>saveGame</code> - Save-Object from Save-File</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSaveGame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSaveGame</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;getSaveGame()</pre>
<div class="block">returns the save-Game</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the save-Game</dd>
</dl>
</li>
</ul>
<a name="play-int-towerwarspp.preset.PlayerColor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>play</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game">Result</a>&nbsp;play(int&nbsp;timeOut,
                   <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn)
            throws java.lang.Exception</pre>
<div class="block">Method play to start the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>, means requesting <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s from <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, updating the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>
 and visualizing the whole game.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timeOut</code> - integer timeOut, maximum number of <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset"><code>Move</code></a>s, after which the <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> will be stopped</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><code>Result</code></a> containing information about the winner of this <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.rmi.RemoteException</code> - if an error occurs with the connection in a network game</dd>
<dd><code>java.lang.Exception</code> - if an error occurs in the <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a> or <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> object</dd>
</dl>
</li>
</ul>
<a name="turn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>turn</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;turn()</pre>
<div class="block">Returns the the playercolor of the player, who has to play now.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns which Player is at Turn</dd>
</dl>
</li>
</ul>
<a name="winnerMoves-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>winnerMoves</h4>
<pre>private&nbsp;int&nbsp;winnerMoves(int&nbsp;combinedMoveCounter)</pre>
<div class="block">Method winnerMoves to calculate number of moves of the winner.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>combinedMoveCounter</code> - total number of move from both player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>integer number of moves winner needed to win</dd>
</dl>
</li>
</ul>
<a name="replay-towerwarspp.main.game.Save-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replay</h4>
<pre>private&nbsp;void&nbsp;replay(<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;save)</pre>
<div class="block">This Method uses the <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game"><code>Save</code></a> to replay a game</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>save</code> - the Saveobject to be replayed</dd>
</dl>
</li>
</ul>
<a name="checkSave--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>checkSave</h4>
<pre>private&nbsp;void&nbsp;checkSave()</pre>
<div class="block">Checks if save is true in view.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Game.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/game/Game.html" target="_top">Frames</a></li>
<li><a href="Game.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
